View as Markdown
API Spec (JSON)
API Spec (YAML)
Compact modeHides field descriptions and other prose for a more compact, scannable view of the API reference.BEFORE_DUE and AFTER_DUE. Implementation behavior:
BEFORE_DUE and AFTER_DUE reminders are created using the default configuration and are set to INACTIVE state.Default configuration values:
DAY, interval_value = 2, repetition = 1, send_to_invoicer = falseDAY, interval_value = 2, repetition = 2, send_to_invoicer = falseNote: After successful execution, both reminder configurations (BEFORE_DUEandAFTER_DUE) will exist for the merchant account. If reminder configurations already exist for the merchant account, the request fails with a 422 Unprocessable Entity error.
Client CredentialsToken URLhttps://api-m.sandbox.paypal.com/v1/oauth2/tokenInheaderScopes
https://uri.paypal.com/services/invoicing/invoices/readwritehttps://uri.paypal.com/services/invoicing/internalapplication/json
TypeScript Definitions
Use the request body type in TypeScript.
configurationsobject<invoice_reminder_configuration>[]Optionaltypeenum<reminder_type>Requiredintervalobject<reminder_interval>Requiredunitenum<reminder_interval_unit>Requirednotificationobject<reminder_notification>Optionalmetadataobject<reminder_metadata>OptionalNo fields are defined.
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v2/invoicing/setup-reminders" \ -H "Authorization: Bearer A21AAGHr9qtiRRXH4oYcQokQgV99rGqEIfgrr8xHCclP0OzmD9KVgg5ppIIg1jzJgQkV4wd02svIvBJyg6cLFJjFow_SjBhxQ" \ -H "Content-Type: application/json" \ -d '{ "configurations": [ { "type": "BEFORE_DUE", "interval": { "unit": "DAY", "value": 2 }, "repetition": 1, "notification": { "send_to_invoicer": false } }, { "type": "AFTER_DUE", "interval": { "unit": "DAY", "value": 2 }, "repetition": 2, "notification": { "send_to_invoicer": false } } ] }'{ "configurations": [ { "id": "RC-239531651S471944P", "type": "BEFORE_DUE", "status": "ACTIVE", "interval": { "unit": "DAY", "value": 2 }, "repetition": 1, "metadata": { "created_time": "2026-01-28T03:31:53Z", "updated_time": "2026-01-28T03:31:53Z" }, "notification": { "send_to_invoicer": false }, "links": [ { "href": "https://api-m.paypal.com/v2/invoicing/reminders/RC-239531651S471944P", "rel": "self", "method": "GET" }, { "href": "https://api-m.paypal.com/v2/invoicing/reminders/RC-239531651S471944P", "rel": "replace", "method": "PUT" }, { "href": "https://api-m.paypal.com/v2/invoicing/reminders/RC-239531651S471944P/suspend", "rel": "suspend", "method": "POST" }, { "href": "https://api-m.paypal.com/v2/invoicing/reminders/RC-239531651S471944P/resume", "rel": "resume", "method": "POST" } ] }, { "id": "RC-19C40543NJ101123L", "type": "AFTER_DUE", "status": "ACTIVE", "interval": { "unit": "DAY", "value": 2 }, "repetition": 2, "metadata": { "created_time": "2026-01-28T03:31:53Z", "updated_time": "2026-01-28T03:31:53Z" }, "notification": { "send_to_invoicer": false }, "links": [ { "href": "https://api-m.paypal.com/v2/invoicing/reminders/RC-19C40543NJ101123L", "rel": "self", "method": "GET" }, { "href": "https://api-m.paypal.com/v2/invoicing/reminders/RC-19C40543NJ101123L", "rel": "replace", "method": "PUT" }, { "href": "https://api-m.paypal.com/v2/invoicing/reminders/RC-19C40543NJ101123L/suspend", "rel": "suspend", "method": "POST" }, { "href": "https://api-m.paypal.com/v2/invoicing/reminders/RC-19C40543NJ101123L/resume", "rel": "resume", "method": "POST" } ] } ], "links": [ { "href": "https://api-m.paypal.com/v2/invoicing/reminders", "rel": "collection", "method": "GET" } ]}